Bug 861219

Summary: Switching to discret GPU render system unusable
Product: [Fedora] Fedora Reporter: pranayama111
Component: xorg-x11-drv-nouveauAssignee: Ben Skeggs <bskeggs>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: airlied, ajax, awilliam, bskeggs, gansalmon, itamar, jonathan, jreznik, kernel-maint, madhu.chinakonda, pranayama111, robatino, tflink
Target Milestone: ---Flags: mholec: needinfo? (pranayama111)
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard: RejectedBlocker
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-02-05 07:21:45 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description pranayama111 2012-09-27 16:57:36 EDT
Description of problem:
System freeze on restarting X after GPU switch through vgaswitchero


Version-Release number of selected component (if applicable):
3.6.0-0.rc7.git0.1.fc18.i686

How reproducible:
Switch GPU through vgaswitchero

Steps to Reproduce:
1.Exec thutee command 'echo "DDIS" > /sys/kernel/debug/vgaswitchero/switch'
2.Log out of GNOME3(or just reststart X)
  
Actual results:
System freeze


Expected results:
GDM log in screen to be presented


Additional info:
If one does not log out of the desktop but instead switch to vt and stop the gdm.service, before system freeze the following lines could be observed:
vga_switchero: client 1 refused switch
vga_switchero: processing delayed switch to 1
[drm] nouveau 0000:01:00.0 no native mode, forcing panel scaling

smolt page: http://www.smolts.org/client/show/pub_9b21bbe1-62dd-4153-86ec-0881bad10182
Comment 1 Tim Flink 2012-11-30 15:46:23 EST
I'm not exactly sure what's going on here. Does gnome-shell function normally without executing the command in step 1 from the description? What exactly is that command supposed to do?

Can someone provide more information on what the effects of this bug are and either list the F18 release criterion (alpha, beta or final; listed below) that is violated by this bug or at least provide a justification on why this bug should block the release of F18?

http://fedoraproject.org/wiki/Fedora_18_Alpha_Release_Criteria
http://fedoraproject.org/wiki/Fedora_18_Beta_Release_Criteria
http://fedoraproject.org/wiki/Fedora_18_Final_Release_Criteria
Comment 2 pranayama111 2012-12-01 04:18:39 EST
Hi, Tim

The vgaswitchero is functionality for laptops with hybrid graphics, that's having GPU on same chip with the CPU(Intel Core i3 in my case) and another discrete GPU(Nvidia optimus in my case).
The command 'echo "DDIS" > /sys/kernel/debug/vgaswitchero/switch' is supposed to activate the discrete GPU and deactivate the embedded one, hence eventually having better graphics performance but consuming more power.
On the F18Blocker stuff - vgaswitcheroo never worked on my laptop, and honestly I didn't expect it to work in the near future. Don't know how the bug is marked as blocker but if you think it's alright me to change it's blocker status, and as I sad I don't consider it as blocker cause I don't expect it to work, I will.

Thanks
Comment 3 Jaroslav Reznik 2012-12-03 05:49:53 EST
Based on comment #2 and the fact that it seems it's not even officially supported method and not enabled by default (I don't see the the vgaswitchero debug interface on my NVidia Optimus system booted with default options), I'm -1 blocker.
Comment 4 Adam Williamson 2012-12-03 13:46:17 EST
Discussed at 2012-12-03 blocker review meeting: http://meetbot.fedoraproject.org/fedora-qa/2012-12-03/f18final-blocker-review-1.2.2012-12-03-17.25.log.txt . Rejected as a blocker - switcheroo functionality is still experimental and unsupported and certainly doesn't constitute release-blocking functionality.
Comment 5 Martin 2013-06-11 13:03:34 EDT
Are you able to reproduce it on latest Fedora 18 or 19?
Comment 6 Fedora End Of Life 2013-12-21 03:58:30 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2014-02-05 07:21:49 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.